<?php

namespace app\provider;

class ClientProvider
{
    /**
     * 注册服务
     */
    public function register(){
        container()->bind([
            "C_Common_row_data"=>'app\client\common\C_row_data',
            "C_Common_appStore"=>'app\client\common\C_appStore',

            "C_Admin_software_upgrade_log"=>'app\client\admin\C_software_upgrade_log',
            "C_Admin_system_upgrade"=>'app\client\admin\C_system_upgrade',
            "C_Admin_category"=>'app\client\admin\C_category',
        ]);

        container()->bind([
            "C_Api_file"=>'app\client\api\C_file',
            "C_Api_cache"=>'app\client\api\C_cache',
        ]);
    }

    /**
     * 服务启动
     */
    public function boot(){

    }
}